> For the complete documentation index, see [llms.txt](https://docs.underdogprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.underdogprotocol.com/resources/v1/collections.md).

# Collections

On this page, we'll dive into the different Collection endpoints you can use to manage Collections programmatically. We'll look at how to query and create Collections.

Collections represents a group of related NFTs. A Collection is itself an NFT. For example, a Collection can be a group of NFTs where each NFT is a membership pass.&#x20;

## The Collection Model

The Collection model contains all the information about your Collection, such as their mint address, name, and image.

| Property       | Description                                            | Type   |
| -------------- | ------------------------------------------------------ | ------ |
| `mintAddress`  | The mint address of the NFT                            | string |
| `name`         | The on-chain name of the Collection                    | string |
| `description`  | Description of the Collection                          | string |
| `image`        | Image for the Collection                               | string |
| `ownerAddress` | The wallet address of the owner of the Collection      | string |
| `attributes`   | Object with traits and values  of the NFT's attributes | object |

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>List all Collections</strong></td><td></td><td><a href="/pages/ENKq3A54GJCzX6zMpH8U">GET -></a></td><td><a href="/pages/ENKq3A54GJCzX6zMpH8U">/pages/ENKq3A54GJCzX6zMpH8U</a></td></tr><tr><td><strong>Create a Collection</strong></td><td></td><td><a href="/pages/yaiNPICP9TTbwUhaRTbi">POST -></a></td><td><a href="/pages/yaiNPICP9TTbwUhaRTbi">/pages/yaiNPICP9TTbwUhaRTbi</a></td></tr><tr><td><strong>Retrieve a Collection</strong></td><td></td><td><a href="/pages/qXvsmqn0k9GeptvdiEDm">GET -> </a></td><td><a href="/pages/qXvsmqn0k9GeptvdiEDm">/pages/qXvsmqn0k9GeptvdiEDm</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.underdogprotocol.com/resources/v1/collections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
